@echo -off
cls
echo "======= MintBox3 BIOS Version 0.30.3 Update Package ======="

for %f in fs0 fs1 fs2 fs3 fs4 fs5
if exist %f:\AfuEfix64.efi then 
    %f:
    goto AFUFOUND
endif
endfor

echo "Unable to find BIOS update utility. Please make sure all files are on the drive"
goto END

:AFUFOUND
if not exist MB3.CAP then
    echo "Unable to find BIOS capsule file. Please make sure all files are on the drive"
    goto END
endif

echo "Press 'q' to quit. Press any other key to start the update"
pause -q
AfuEfix64.efi MB3.CAP /P /B /N /L /R

if not %lasterror% == 0 then
    echo "BIOS update failed. Please contact fitpcsupport@compulab.co.il"
    goto END
endif

echo "BIOS update succeeded. Press any key to reset the system"
pause -q
reset

:END